%{
  extern "C" {
  #include <stdio.h>
  #include <string.h>

  }
  #include "portrange.h"
  
  extern char *yytext;
%}

%x PORTRANGE
%x PORTNUMBER

%%

<INITIAL>[0-9]+[-][0-9]+  {return(PORTRANGE);}
<INITIAL>[0-9]+           {return(PORTNUMBER);}
.

%%

/*-------------------------------------------------------------------------*
 *   int SetPortChooser(ArtsPortChooser & portChooser, char *expression)   *
 *.........................................................................*
 *                                                                         *
 *-------------------------------------------------------------------------*/
int SetPortChooser(ArtsPortChooser & portChooser, char *expression)
{
  YY_BUFFER_STATE      bufferState;
  int                  test;
  int                  firstPort, lastPort, portNum;
  
  bufferState = yy_scan_string(expression);
  
  while ((test = yylex())) {
    switch (test) {
      case PORTRANGE:
        sscanf(yytext,"%d-%d",&firstPort,&lastPort);
        portChooser.AddPortRange(firstPort,lastPort);
        break;
      case PORTNUMBER:
        portChooser.AddPort(atoi(yytext));
        break;
      default:
        break;
    }
  }
  yy_delete_buffer(bufferState);
  
  return(0);
}

    
