//===========================================================================
//  $Name: arts++-0-9-b6 $
//  $Id: ArtsBgp4RouteEntry.hh,v 1.2 1998/08/14 03:31:17 dwm Exp $
//===========================================================================
//  CAIDA Copyright Notice
//
//  By accessing this software, arts++, you are duly informed
//  of and agree to be bound by the conditions described below in this
//  notice:
//
//  This software product, arts++, is developed by Daniel W. McRobb, and
//  copyrighted(C) 1998 by the University of California, San Diego
//  (UCSD), with all rights reserved.  UCSD administers the CAIDA grant,
//  NCR-9711092, under which part of this code was developed.
//
//  There is no charge for arts++ software. You can redistribute it
//  and/or modify it under the terms of the GNU General Public License,
//  v.  2 dated June 1991 which is incorporated by reference herein.
//  arts++ is distributed WITHOUT ANY WARRANTY, IMPLIED OR EXPRESS, OF
//  MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE or that the use
//  of it will not infringe on any third party's intellectual property
//  rights.
//
//  You should have received a copy of the GNU GPL along with arts++.
//  Copies can also be obtained from:
//
//    http://www.gnu.org/copyleft/gpl.html
//
//  or by writing to:
//
//    University of California, San Diego
//
//    SDSC/CAIDA
//    9500 Gilman Dr., MS-0505
//    La Jolla, CA 92093 - 0505  USA
//
//  Or contact:
//
//    info@caida.org
//===========================================================================

#ifndef _ARTSBGP4ROUTEENTRY_HH_
#define _ARTSBGP4ROUTEENTRY_HH_

//---------------------------------------------------------------------------
//  class ArtsBgp4RouteEntry
//---------------------------------------------------------------------------
//
//---------------------------------------------------------------------------
class ArtsBgp4RouteEntry
{
public:
  //-------------------------------------------------------------------------
  //                  const ArtsBgp4Prefix & Prefix() const
  //.........................................................................
  //                                                                         
  //-------------------------------------------------------------------------
  const ArtsBgp4Prefix & Prefix() const;
  
  //-------------------------------------------------------------------------
  //         ArtsBgp4Prefix & Prefix(const ArtsBgp4Prefix & prefix)
  //.........................................................................
  //                                                                         
  //-------------------------------------------------------------------------
  ArtsBgp4Prefix & Prefix(const ArtsBgp4Prefix & prefix);
  
  //-------------------------------------------------------------------------
  //                     uint32_t AttributeIndex() const
  //.........................................................................
  //                                                                         
  //-------------------------------------------------------------------------
  uint32_t AttributeIndex() const;
  
  //-------------------------------------------------------------------------
  //               uint32_t AttributeIndex(uint32_t attrIndex)
  //.........................................................................
  //                                                                         
  //-------------------------------------------------------------------------
  uint32_t AttributeIndex(uint32_t attrIndex);
  
private:
  ArtsBgp4Prefix            _prefix;
  uint32_t                  _attrIndex;
  deque<ArtsBgp4Attribute>  _attributes;
};

#endif  // _ARTSBGP4ROUTEENTRY_HH_
