//===========================================================================
//  $Name: arts++-0-9-b6 $
//  $Id: ArtsBgp4AsPathAttribute.cc,v 1.4 1998/10/01 17:05:12 dwm Exp $
//===========================================================================
//  CAIDA Copyright Notice
//
//  By accessing this software, arts++, you are duly informed
//  of and agree to be bound by the conditions described below in this
//  notice:
//
//  This software product, arts++, is developed by Daniel W. McRobb, and
//  copyrighted(C) 1998 by the University of California, San Diego
//  (UCSD), with all rights reserved.  UCSD administers the CAIDA grant,
//  NCR-9711092, under which part of this code was developed.
//
//  There is no charge for arts++ software. You can redistribute it
//  and/or modify it under the terms of the GNU General Public License,
//  v.  2 dated June 1991 which is incorporated by reference herein.
//  arts++ is distributed WITHOUT ANY WARRANTY, IMPLIED OR EXPRESS, OF
//  MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE or that the use
//  of it will not infringe on any third party's intellectual property
//  rights.
//
//  You should have received a copy of the GNU GPL along with arts++.
//  Copies can also be obtained from:
//
//    http://www.gnu.org/copyleft/gpl.html
//
//  or by writing to:
//
//    University of California, San Diego
//
//    SDSC/CAIDA
//    9500 Gilman Dr., MS-0505
//    La Jolla, CA 92093 - 0505  USA
//
//  Or contact:
//
//    info@caida.org
//===========================================================================

#include <string>

#include "ArtsBgp4AsPathAttribute.hh"

static const string rcsid = "@(#) $Name: arts++-0-9-b6 $ $Id: ArtsBgp4AsPathAttribute.cc,v 1.4 1998/10/01 17:05:12 dwm Exp $";

//-------------------------------------------------------------------------
//          uint8_t ArtsBgp4AsPathAttribute::NumSegments() const
//.........................................................................
//                                                                         
//-------------------------------------------------------------------------
uint8_t ArtsBgp4AsPathAttribute::NumSegments() const
{
  return(this->_segments.size());
}

//-------------------------------------------------------------------------
//    uint8_t ArtsBgp4AsPathAttribute::NumSegments(uint8_t numSegments)
//.........................................................................
//                                                                         
//-------------------------------------------------------------------------
uint8_t ArtsBgp4AsPathAttribute::NumSegments(uint8_t numSegments)
{
  this->_segments.reserve(numSegments);
  return(this->_segments.size());
}

//-------------------------------------------------------------------------
//             vector<ArtsBgp4AsPathSegment> &
//             ArtsBgp4AsPathAttribute::Segments() const
//.........................................................................
//                                                                         
//-------------------------------------------------------------------------
vector<ArtsBgp4AsPathSegment> & ArtsBgp4AsPathAttribute::Segments() const
{
  return(this->_segments);
}

//-------------------------------------------------------------------------
//  ArtsBgp4AsPathAttribute &                        
//  ArtsBgp4AsPathAttribute::operator = (const ArtsBgp4AsPathAttribute &
//                                       asPath) 
//.........................................................................
//                                                                         
//-------------------------------------------------------------------------
ArtsBgp4AsPathAttribute &
ArtsBgp4AsPathAttribute::operator = (const ArtsBgp4AsPathAttribute & asPath)
{
  this->_segments = asPath.Segments();
  return(*this);
}

