//===========================================================================
//  $Name: arts++-0-9-b6 $
//  $Id: ArtsBgp4AsPathSegment.cc,v 1.2 1998/08/14 03:44:17 dwm Exp $
//===========================================================================
//  CAIDA Copyright Notice
//
//  By accessing this software, arts++, you are duly informed
//  of and agree to be bound by the conditions described below in this
//  notice:
//
//  This software product, arts++, is developed by Daniel W. McRobb, and
//  copyrighted(C) 1998 by the University of California, San Diego
//  (UCSD), with all rights reserved.  UCSD administers the CAIDA grant,
//  NCR-9711092, under which part of this code was developed.
//
//  There is no charge for arts++ software. You can redistribute it
//  and/or modify it under the terms of the GNU General Public License,
//  v.  2 dated June 1991 which is incorporated by reference herein.
//  arts++ is distributed WITHOUT ANY WARRANTY, IMPLIED OR EXPRESS, OF
//  MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE or that the use
//  of it will not infringe on any third party's intellectual property
//  rights.
//
//  You should have received a copy of the GNU GPL along with arts++.
//  Copies can also be obtained from:
//
//    http://www.gnu.org/copyleft/gpl.html
//
//  or by writing to:
//
//    University of California, San Diego
//
//    SDSC/CAIDA
//    9500 Gilman Dr., MS-0505
//    La Jolla, CA 92093 - 0505  USA
//
//  Or contact:
//
//    info@caida.org
//===========================================================================

#include <string>

#include "ArtsBgp4AsPathSegment.hh"

static const string rcsid = "@(#) $Name: arts++-0-9-b6 $ $Id: ArtsBgp4AsPathSegment.cc,v 1.2 1998/08/14 03:44:17 dwm Exp $";

//-------------------------------------------------------------------------
//               uint8_t ArtsBgp4AsPathSegment::Type() const               
//.........................................................................
//                                                                         
//-------------------------------------------------------------------------
uint8_t ArtsBgp4AsPathSegment::Type() const
{
  return(this->_type);
}

//-------------------------------------------------------------------------
//            uint8_t ArtsBgp4AsPathSegment::Type(uint8_t type)            
//.........................................................................
//                                                                         
//-------------------------------------------------------------------------
uint8_t ArtsBgp4AsPathSegment::Type(uint8_t type)
{
  this->_type = type;
  return(this->_type);
}

//-------------------------------------------------------------------------
//              uint8_t ArtsBgp4AsPathSegment::Length() const              
//.........................................................................
//                                                                         
//-------------------------------------------------------------------------
uint8_t ArtsBgp4AsPathSegment::Length() const
{
  return(this->_AS.size());
}
  
//-------------------------------------------------------------------------
//          uint8_t ArtsBgp4AsPathSegment::Length(uint8_t length)          
//.........................................................................
//                                                                         
//-------------------------------------------------------------------------
uint8_t ArtsBgp4AsPathSegment::Length(uint8_t length)
{
  this->_AS.reserve(length);
  return(this->_AS.size());
}

//-------------------------------------------------------------------------
//            vector<uint16_t> & ArtsBgp4AsPathSegment::AS() const           
//.........................................................................
//                                                                         
//-------------------------------------------------------------------------
vector<uint16_t> & ArtsBgp4AsPathSegment::AS() const
{
  return(this->_AS);
}

