//===========================================================================
//  $Name: arts++-0-9-b6 $
//  $Id: ArtsDebug.cc,v 1.4 1999/01/29 23:58:07 dwm Exp $
//===========================================================================
//  CAIDA Copyright Notice
//
//  By accessing this software, arts++, you are duly informed
//  of and agree to be bound by the conditions described below in this
//  notice:
//
//  This software product, arts++, is developed by Daniel W. McRobb, and
//  copyrighted(C) 1998 by the University of California, San Diego
//  (UCSD), with all rights reserved.  UCSD administers the CAIDA grant,
//  NCR-9711092, under which part of this code was developed.
//
//  There is no charge for arts++ software. You can redistribute it
//  and/or modify it under the terms of the GNU General Public License,
//  v.  2 dated June 1991 which is incorporated by reference herein.
//  arts++ is distributed WITHOUT ANY WARRANTY, IMPLIED OR EXPRESS, OF
//  MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE or that the use
//  of it will not infringe on any third party's intellectual property
//  rights.
//
//  You should have received a copy of the GNU GPL along with arts++.
//  Copies can also be obtained from:
//
//    http://www.gnu.org/copyleft/gpl.html
//
//  or by writing to:
//
//    University of California, San Diego
//
//    SDSC/CAIDA
//    9500 Gilman Dr., MS-0505
//    La Jolla, CA 92093 - 0505  USA
//
//  Or contact:
//
//    info@caida.org
//===========================================================================

#include <string>

#include "ArtsDebug.hh"
#include "Arts.hh"

#ifdef ARTS_DEBUG_CLASS_ALLOC

static const string rcsid = "@(#) $Name: arts++-0-9-b6 $ $Id: ArtsDebug.cc,v 1.4 1999/01/29 23:58:07 dwm Exp $";

  //--------------------------------------------------------------------------
  //                      void ShowArtsObjectsNotFreed()                     
  //..........................................................................
  //  
  //--------------------------------------------------------------------------
  void ShowArtsObjectsNotFreed()
  {
    if (Arts::NumObjects() > 0)
      cout << "Arts objects: "
           << Arts::NumObjects() << endl;
    
    if (ArtsHeader::NumObjects() > 0)
      cout << "ArtsHeader objects: "
           << ArtsHeader::NumObjects() << endl;
    
    if (ArtsAttribute::NumObjects() > 0)
      cout << "ArtsAttribute objects: "
           << ArtsAttribute::NumObjects() << endl;
    
    if (ArtsAsMatrixData::NumObjects() > 0)
      cout << "ArtsAsMatrixData objects: "
           << ArtsAsMatrixData::NumObjects() << endl;
    
    if (ArtsAsMatrixEntry::NumObjects() > 0)
      cout << "ArtsAsMatrixEntry objects: "
           << ArtsAsMatrixEntry::NumObjects() << endl;
    
    if (ArtsNetMatrixData::NumObjects() > 0)
      cout << "ArtsNetMatrixData objects: "
           << ArtsNetMatrixData::NumObjects() << endl;
    
    if (ArtsNetMatrixEntry::NumObjects() > 0)
      cout << "ArtsNetMatrixEntry objects: "
           << ArtsNetMatrixEntry::NumObjects() << endl;
    
    if (ArtsNextHopTableData::NumObjects() > 0)
      cout << "ArtsNextHopTableData objects: "
           << ArtsNextHopTableData::NumObjects() << endl;
    
    if (ArtsNextHopTableEntry::NumObjects() > 0)
      cout << "ArtsNextHopTableEntry objects: "
           << ArtsNextHopTableEntry::NumObjects() << endl;
    
    if (ArtsProtocolTableData::NumObjects() > 0)
      cout << "ArtsProtocolTableData objects: "
           << ArtsProtocolTableData::NumObjects() << endl;
    
    if (ArtsProtocolTableEntry::NumObjects() > 0)
      cout << "ArtsProtocolTableEntry objects: "
           << ArtsProtocolTableEntry::NumObjects() << endl;

    if (ArtsInterfaceMatrixData::NumObjects() > 0)
      cout << "ArtsInterfaceMatrixData objects: "
           << ArtsInterfaceMatrixData::NumObjects() << endl;
    
    if (ArtsInterfaceMatrixEntry::NumObjects() > 0)
      cout << "ArtsInterfaceMatrixEntry objects: "
           << ArtsInterfaceMatrixEntry::NumObjects() << endl;

    if (ArtsPortMatrixData::NumObjects() > 0)
      cout << "ArtsPortMatrixData objects: "
           << ArtsPortMatrixData::NumObjects() << endl;

    if (ArtsPortMatrixEntry::NumObjects() > 0)
      cout << "ArtsPortMatrixEntry objects: "
           << ArtsPortMatrixEntry::NumObjects() << endl;

    if (ArtsIpPathData::NumObjects() > 0)
      cout << "ArtsIpPathData objects: "
           << ArtsIpPathData::NumObjects() << endl;

    if (ArtsIpPathEntry::NumObjects() > 0)
      cout << "ArtsIpPathEntry objects: "
           << ArtsIpPathEntry::NumObjects() << endl;

    if (ArtsSelectedPortTableData::NumObjects() > 0)
      cout << "ArtsSelectedPortTableData objects: "
           << ArtsSelectedPortTableData::NumObjects() << endl;

    if (ArtsPortTableEntry::NumObjects() > 0)
      cout << "ArtsPortTableEntry objects: "
           << ArtsPortTableEntry::NumObjects() << endl;

    return;
  }

#endif

