//===========================================================================
//  @(#) $Name: arts++-0-9-b6 $
//  @(#) $Id: ArtsIpPath.cc,v 1.3 1999/01/25 08:38:01 dwm Exp $
//===========================================================================
//  CAIDA Copyright Notice
//
//  By accessing this software, arts++, you are duly informed
//  of and agree to be bound by the conditions described below in this
//  notice:
//
//  This software product, arts++, is developed by Daniel W. McRobb, and
//  copyrighted(C) 1998 by the University of California, San Diego
//  (UCSD), with all rights reserved.  UCSD administers the CAIDA grant,
//  NCR-9711092, under which part of this code was developed.
//
//  There is no charge for arts++ software. You can redistribute it
//  and/or modify it under the terms of the GNU General Public License,
//  v.  2 dated June 1991 which is incorporated by reference herein.
//  arts++ is distributed WITHOUT ANY WARRANTY, IMPLIED OR EXPRESS, OF
//  MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE or that the use
//  of it will not infringe on any third party's intellectual property
//  rights.
//
//  You should have received a copy of the GNU GPL along with arts++.
//  Copies can also be obtained from:
//
//    http://www.gnu.org/copyleft/gpl.html
//
//  or by writing to:
//
//    University of California, San Diego
//
//    SDSC/CAIDA
//    9500 Gilman Dr., MS-0505
//    La Jolla, CA 92093 - 0505  USA
//
//  Or contact:
//
//    info@caida.org
//===========================================================================

#include <string>
#include <algo.h>

#include "Arts.hh"
#include "ArtsIpPath.hh"

static const string rcsid = "@(#) $Name: arts++-0-9-b6 $ $Id: ArtsIpPath.cc,v 1.3 1999/01/25 08:38:01 dwm Exp $";

//-------------------------------------------------------------------------
//          ArtsIpPath::ArtsIpPath(ipv4addr_t src, ipv4addr_t dst)         
//.........................................................................
//                                                                         
//-------------------------------------------------------------------------
ArtsIpPath::ArtsIpPath(ipv4addr_t src, ipv4addr_t dst)
{
  this->Header().Identifier(artsC_OBJECT_IP_PATH);
  this->_data._ipPath = new ArtsIpPathData();
  this->IpPathData()->Src(src);
  this->IpPathData()->Dst(dst);
}

//-------------------------------------------------------------------------
//          ArtsIpPath::ArtsIpPath(const ArtsIpPath & artsIpPath)          
//.........................................................................
//                                                                         
//-------------------------------------------------------------------------
ArtsIpPath::ArtsIpPath(const ArtsIpPath & artsIpPath) 
{
  this->_header = artsIpPath.Header();
  this->_attributes = artsIpPath.Attributes();
  this->_data._ipPath = new ArtsIpPathData();
  *(this->_data._ipPath) = *(artsIpPath.IpPathData());
}

//-------------------------------------------------------------------------
//                         ArtsIpPath::ArtsIpPath()                        
//.........................................................................
//                                                                         
//-------------------------------------------------------------------------
ArtsIpPath::ArtsIpPath()
{
  this->Header().Identifier(artsC_OBJECT_IP_PATH);
  this->_data._ipPath = new ArtsIpPathData();
  this->IpPathData()->Dst(0);
}

//-------------------------------------------------------------------------
//                        ArtsIpPath::~ArtsIpPath()                        
//.........................................................................
//                                                                         
//-------------------------------------------------------------------------
ArtsIpPath::~ArtsIpPath()
{
}



