//===========================================================================
//  @(#) $Name: arts++-0-9-b6 $
//  @(#) $Id: ArtsPortTable.cc,v 1.4 1999/01/25 08:38:19 dwm Exp $
//===========================================================================
//  CAIDA Copyright Notice
//
//  By accessing this software, arts++, you are duly informed
//  of and agree to be bound by the conditions described below in this
//  notice:
//
//  This software product, arts++, is developed by Daniel W. McRobb, and
//  copyrighted(C) 1998 by the University of California, San Diego
//  (UCSD), with all rights reserved.  UCSD administers the CAIDA grant,
//  NCR-9711092, under which part of this code was developed.
//
//  There is no charge for arts++ software. You can redistribute it
//  and/or modify it under the terms of the GNU General Public License,
//  v.  2 dated June 1991 which is incorporated by reference herein.
//  arts++ is distributed WITHOUT ANY WARRANTY, IMPLIED OR EXPRESS, OF
//  MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE or that the use
//  of it will not infringe on any third party's intellectual property
//  rights.
//
//  You should have received a copy of the GNU GPL along with arts++.
//  Copies can also be obtained from:
//
//    http://www.gnu.org/copyleft/gpl.html
//
//  or by writing to:
//
//    University of California, San Diego
//
//    SDSC/CAIDA
//    9500 Gilman Dr., MS-0505
//    La Jolla, CA 92093 - 0505  USA
//
//  Or contact:
//
//    info@caida.org
//===========================================================================

#include <string>

#include "Arts.hh"
#include "ArtsPortTable.hh"

static const string rcsid = "@(#) $Name: arts++-0-9-b6 $ $Id: ArtsPortTable.cc,v 1.4 1999/01/25 08:38:19 dwm Exp $";

//-------------------------------------------------------------------------
//                      ArtsPortTable::ArtsPortTable()                     
//.........................................................................
//  
//-------------------------------------------------------------------------
ArtsPortTable::ArtsPortTable()
{
  this->Header().Identifier(artsC_OBJECT_PORT);
  this->_data._portTable = new ArtsPortTableData();
}

//-------------------------------------------------------------------------
//                     ArtsPortTable::~ArtsPortTable()                     
//.........................................................................
//  
//-------------------------------------------------------------------------
ArtsPortTable::~ArtsPortTable()
{
}

//-------------------------------------------------------------------------
//              uint16_t ArtsPortTable::SampleInterval() const             
//.........................................................................
//  
//-------------------------------------------------------------------------
uint16_t ArtsPortTable::SampleInterval() const
{
  return(this->_data._portTable->SampleInterval());
}

//-------------------------------------------------------------------------
//     uint16_t ArtsPortTable::SampleInterval(uint16_t sampleInterval)     
//.........................................................................
//  
//-------------------------------------------------------------------------
uint16_t ArtsPortTable::SampleInterval(uint16_t sampleInterval)
{
  return(this->_data._portTable->SampleInterval(sampleInterval));
}

//-------------------------------------------------------------------------
//                uint64_t ArtsPortTable::TotalPkts() const                
//.........................................................................
//  
//-------------------------------------------------------------------------
uint64_t ArtsPortTable::TotalPkts() const
{
  return(this->_data._portTable->TotalPkts());
}

//-------------------------------------------------------------------------
//          uint64_t ArtsPortTable::TotalPkts(uint64_t totalPkts)          
//.........................................................................
//  
//-------------------------------------------------------------------------
uint64_t ArtsPortTable::TotalPkts(uint64_t totalPkts)
{
  return(this->_data._portTable->TotalPkts(totalPkts));
}

//-------------------------------------------------------------------------
//                uint64_t ArtsPortTable::TotalBytes() const               
//.........................................................................
//  
//-------------------------------------------------------------------------
uint64_t ArtsPortTable::TotalBytes() const
{
  return(this->_data._portTable->TotalBytes());
}

//-------------------------------------------------------------------------
//         uint64_t ArtsPortTable::TotalBytes(uint64_t totalBytes)         
//.........................................................................
//  
//-------------------------------------------------------------------------
uint64_t ArtsPortTable::TotalBytes(uint64_t totalBytes)
{
  return(this->_data._portTable->TotalBytes(totalBytes));
}

//-------------------------------------------------------------------------
//     vector<ArtsPortTableEntry> & ArtsPortTable::PortEntries() const     
//.........................................................................
//  
//-------------------------------------------------------------------------
vector<ArtsPortTableEntry> & ArtsPortTable::PortEntries() const
{
  return(this->_data._portTable->PortEntries());
}

